RECSET(1)

NUME
recset - manipulează câmpurile dintr-un fișier de înregistrări

REZUMAT
recset [OPȚIUNE]... [FIȘIER]...

DESCRIERE
Modifică sau șterge câmpurile din înregistrări.

--no-external
    nu utilizează descriptori externi.

--force
    modifică înregistrările, chiar dacă se încalcă restricțiile privind înregistrările.

--help
    imprimă un mesaj de ajutor și iese.

--version
    afișează versiunea și iese.

  Opțiuni de selectare a înregistrărilor:

-i, --case-insensitive
    face ca șirurile de caractere să nu țină cont de majuscule și minuscule în expresiile de selecție.

-t, --type=TIP
    operează numai asupra înregistrărilor de tipul specificat.

-e, --expression=EXPR_ÎNREGISTRARE
    expresia de selecție.

-q, --quick=ȘIR
    selectează înregistrările cu câmpuri care conțin un șir de caractere.

-n, --number=NUMĂR,...
    selectează înregistrări specifice în funcție de poziție, cu intervale.

-m, --random=NUMĂR
    selectează un număr dat de înregistrări aleatorii.

  Opțiuni de selectare a câmpurilor:

-f, --fields=CÂMPURI
    listă de nume de câmpuri, separate prin virgule, cu indici opționali.

  Acțiuni:

-s, --set=VALOARE
    modifică valoarea câmpurilor selectate.

-a, --add=VALOARE
    adaugă câmpurile selectate cu valoarea dată.

-S, --set-add=VALOARE
    modifică valoarea câmpurilor selectate; dacă acestea nu există, adaugă un câmp nou cu valoarea respectivă.

-r, --rename=NUME
    redenumește câmpurile selectate cu un nume dat; dacă se selectează un întreg set de înregistrări, câmpul este redenumit și în descriptorul de înregistrări.

-d, --delete
    șterge câmpurile selectate.

-c, --comment
    comentează câmpurile selectate.

AUTOR
Scris de Jose E. Marchesi.

RAPORTAREA ERORILOR
Raportați erorile la: bug-recutils@gnu.org
Pagina principală a GNU recutils: <https://www.gnu.org/software/recutils/>
Ajutor general pentru utilizarea software-ului GNU: <http://www.gnu.org/gethelp/>

DREPTURI DE AUTOR
Drepturi de autor © 2010-2020 Jose E. Marchesi. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <http://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru recset este menținută ca un manual Texinfo. Dacă programele info și recset sunt instalate corect pe sistemul dumneavoastră, comanda

    info recutils

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.